commit:     8b04d0717e6accf7af1fda89561773156a1c87d6
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun May 25 03:16:31 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun May 25 03:22:22 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8b04d071

dev-python/fsspec: Bump to 2025.5.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/fsspec/Manifest               |  1 +
 dev-python/fsspec/fsspec-2025.5.1.ebuild | 72 ++++++++++++++++++++++++++++++++
 2 files changed, 73 insertions(+)

diff --git a/dev-python/fsspec/Manifest b/dev-python/fsspec/Manifest
index 2a7e7d5bc5ca..3bf6a4b6b281 100644
--- a/dev-python/fsspec/Manifest
+++ b/dev-python/fsspec/Manifest
@@ -1,2 +1,3 @@
 DIST filesystem_spec-2025.3.2.gh.tar.gz 432022 BLAKE2B 
7b18b80a1f024832a3a53545764299a2a40785809dc4d63fbe7cd0fff303ebd9382888153c012fe31425c93d67c56be1d117fd314fec149964ac7ee74a4b7464
 SHA512 
b446f7f09ef34e50cc22a3370b1a9312970b9585ff98ebb5ff02b066bc6a44786cf96cd0d1452753384861b7c61c3e927da009d215466588cf746d894dd430a0
 DIST filesystem_spec-2025.5.0.gh.tar.gz 436234 BLAKE2B 
11f562d765c814379fcb016d769473fb7bc1a0dc10f81b487a51b37757ad46d244b9945fd162e867402660ba7097931e649e9e44e32805146fa7dfc00bac4851
 SHA512 
fa9cf2c137cde874edb140ad9673f1bd709cfd46e68fc1e3abc5d4235b841568fac8fb8e41b4873deefa8d18d9d74b0e5d18c7a04e28c4dfd2687624076d3773
+DIST filesystem_spec-2025.5.1.gh.tar.gz 438472 BLAKE2B 
798cb0fdea82640e8c1de76ad6cea113cba0999ee907f2ca71602e6fab415f89ec070d3d1059e11858fe985f657092713b2db29382a2933cfbddeb1c1dea55a8
 SHA512 
fa645f313f0047531ceac77f74a7ba5f2ff4df363403749b629ac12f3ef2e3b42d7fe964c1f974539ed526515b027de4fde6c0366557bfae258e2fa93a8f1495

diff --git a/dev-python/fsspec/fsspec-2025.5.1.ebuild 
b/dev-python/fsspec/fsspec-2025.5.1.ebuild
new file mode 100644
index 000000000000..7aa7b1ac6a30
--- /dev/null
+++ b/dev-python/fsspec/fsspec-2025.5.1.ebuild
@@ -0,0 +1,72 @@
+# Copyright 2020-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{11..14} )
+
+inherit distutils-r1
+
+MY_P=filesystem_spec-${PV}
+DESCRIPTION="A specification that python filesystems should adhere to"
+HOMEPAGE="
+       https://github.com/fsspec/filesystem_spec/
+       https://pypi.org/project/fsspec/
+"
+# upstream removed tests in 2024.6.0
+SRC_URI="
+       https://github.com/fsspec/filesystem_spec/archive/${PV}.tar.gz
+               -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+
+BDEPEND="
+       dev-python/hatch-vcs[${PYTHON_USEDEP}]
+       test? (
+               dev-python/aiohttp[${PYTHON_USEDEP}]
+               dev-python/numpy[${PYTHON_USEDEP}]
+               dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+               dev-python/pytest-mock[${PYTHON_USEDEP}]
+               dev-python/pytest-rerunfailures[${PYTHON_USEDEP}]
+               dev-python/requests[${PYTHON_USEDEP}]
+               dev-python/tqdm[${PYTHON_USEDEP}]
+               dev-vcs/git
+       )
+"
+
+# Note: this package is not xdist-friendly
+distutils_enable_tests pytest
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+
+src_test() {
+       git config --global user.email "[email protected]" || die
+       git config --global user.name "Your Name" || die
+       distutils-r1_src_test
+}
+
+python_test() {
+       local EPYTEST_DESELECT=(
+               # Internet
+               
fsspec/implementations/tests/test_reference.py::test_async_cat_file_ranges
+               fsspec/implementations/tests/test_github.py
+               fsspec/implementations/tests/test_gist.py
+       )
+
+       case ${EPYTHON} in
+               python3.14*)
+                       EPYTEST_DESELECT+=(
+                               # TODO
+                               
fsspec/implementations/tests/test_http.py::test_async_other_thread
+                       )
+                       ;;
+       esac
+
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       epytest -p asyncio -p pytest_mock -o tmp_path_retention_policy=all
+}

Reply via email to